cluster / sdn
78 operations.
GET /cluster/sdn
proxmox.cluster.sdn.$get()Directory index.
Returns an array of object.
PUT /cluster/sdn
proxmox.cluster.sdn.$put()Apply sdn controller changes && reload.
Returns string.
| Parameter | Type | Required | Notes |
|---|---|---|---|
lock-token | string | the token for unlocking the global SDN configuration | |
release-lock | boolean | When lock-token has been provided and configuration successfully committed, release the lock automatically afterwards — default 1 |
GET /cluster/sdn/controllers
proxmox.cluster.sdn.controllers.$get()SDN controllers index.
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
pending | boolean | Display pending config. | |
running | boolean | Display running config. | |
type | bgp | evpn | faucet | isis | Only list sdn controllers of specific type |
POST /cluster/sdn/controllers
proxmox.cluster.sdn.controllers.$post()Create a new sdn controller object.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
asn | number | autonomous system number — min 0, max 4294967295 | |
bgp-mode | auto | external | internal | Whether to use eBGP or iBGP. Auto mode chooses depending on BGP controller or falls back to iBGP. — default "auto" | |
bgp-multipath-as-path-relax | boolean | Consider different AS paths of equal length for multipath computation. | |
controller | string | yes | The SDN controller object identifier. — ≤ 64 chars |
ebgp | boolean | Enable eBGP (remote-as external). | |
ebgp-multihop | number | Set maximum amount of hops for eBGP peers. | |
fabric | string | SDN fabric to use as underlay for this EVPN controller. — format pve-sdn-fabric-id | |
isis-domain | string | Name of the IS-IS domain. | |
isis-ifaces | string | Comma-separated list of interfaces where IS-IS should be active. — format pve-iface-list | |
isis-net | string | Network Entity title for this node in the IS-IS network. — format pve-sdn-isis-net, ≤ 50 chars | |
lock-token | string | the token for unlocking the global SDN configuration | |
loopback | string | Name of the loopback/dummy interface that provides the Router-IP. | |
node | string | The cluster node name. — format pve-node | |
nodes | string | List of cluster node names. — format pve-node-list | |
peer-group-name | string | Name of the peer group for this EVPN controller — format pve-configid, default "VTEP" | |
peers | string | peers address list. — format ip-list | |
route-map-in | string | Route Map that should be applied for incoming routes — format pve-sdn-route-map-id | |
route-map-out | string | Route Map that should be applied for outgoing routes — format pve-sdn-route-map-id | |
type | bgp | evpn | faucet | isis | yes | Plugin type. — format pve-configid |
GET /cluster/sdn/controllers/{controller}
proxmox.cluster.sdn.controllers.$(controller).$get()Read sdn controller configuration.
Returns any.
| Parameter | Type | Required | Notes |
|---|---|---|---|
controller | string | yes | The SDN controller object identifier. — ≤ 64 chars |
pending | boolean | Display pending config. | |
running | boolean | Display running config. |
PUT /cluster/sdn/controllers/{controller}
proxmox.cluster.sdn.controllers.$(controller).$put()Update sdn controller object configuration.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
asn | number | autonomous system number — min 0, max 4294967295 | |
bgp-mode | auto | external | internal | Whether to use eBGP or iBGP. Auto mode chooses depending on BGP controller or falls back to iBGP. — default "auto" | |
bgp-multipath-as-path-relax | boolean | Consider different AS paths of equal length for multipath computation. | |
controller | string | yes | The SDN controller object identifier. — ≤ 64 chars |
delete | string | A list of settings you want to delete. — format pve-configid-list, ≤ 4096 chars | |
digest | string | Prevent changes if current configuration file has a different digest. This can be used to prevent concurrent modifications. — ≤ 64 chars | |
ebgp | boolean | Enable eBGP (remote-as external). | |
ebgp-multihop | number | Set maximum amount of hops for eBGP peers. | |
fabric | string | SDN fabric to use as underlay for this EVPN controller. — format pve-sdn-fabric-id | |
isis-domain | string | Name of the IS-IS domain. | |
isis-ifaces | string | Comma-separated list of interfaces where IS-IS should be active. — format pve-iface-list | |
isis-net | string | Network Entity title for this node in the IS-IS network. — format pve-sdn-isis-net, ≤ 50 chars | |
lock-token | string | the token for unlocking the global SDN configuration | |
loopback | string | Name of the loopback/dummy interface that provides the Router-IP. | |
node | string | The cluster node name. — format pve-node | |
nodes | string | List of cluster node names. — format pve-node-list | |
peer-group-name | string | Name of the peer group for this EVPN controller — format pve-configid, default "VTEP" | |
peers | string | peers address list. — format ip-list | |
route-map-in | string | Route Map that should be applied for incoming routes — format pve-sdn-route-map-id | |
route-map-out | string | Route Map that should be applied for outgoing routes — format pve-sdn-route-map-id |
DELETE /cluster/sdn/controllers/{controller}
proxmox.cluster.sdn.controllers.$(controller).$delete()Delete sdn controller object configuration.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
controller | string | yes | The SDN controller object identifier. — ≤ 64 chars |
lock-token | string | the token for unlocking the global SDN configuration |
GET /cluster/sdn/dns
proxmox.cluster.sdn.dns.$get()SDN dns index.
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
type | powerdns | Only list sdn dns of specific type |
POST /cluster/sdn/dns
proxmox.cluster.sdn.dns.$post()Create a new sdn dns object.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
dns | string | yes | The SDN dns object identifier. |
fingerprint | string | Certificate SHA 256 fingerprint. | |
key | string | yes | |
lock-token | string | the token for unlocking the global SDN configuration | |
reversemaskv6 | number | ||
reversev6mask | number | ||
ttl | number | ||
type | powerdns | yes | Plugin type. — format pve-configid |
url | string | yes |
GET /cluster/sdn/dns/{dns}
proxmox.cluster.sdn.dns.$(dns).$get()Read sdn dns configuration.
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
dns | string | yes | The SDN dns object identifier. |
PUT /cluster/sdn/dns/{dns}
proxmox.cluster.sdn.dns.$(dns).$put()Update sdn dns object configuration.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
delete | string | A list of settings you want to delete. — format pve-configid-list, ≤ 4096 chars | |
digest | string | Prevent changes if current configuration file has a different digest. This can be used to prevent concurrent modifications. — ≤ 64 chars | |
dns | string | yes | The SDN dns object identifier. |
fingerprint | string | Certificate SHA 256 fingerprint. | |
key | string | ||
lock-token | string | the token for unlocking the global SDN configuration | |
reversemaskv6 | number | ||
ttl | number | ||
url | string |
DELETE /cluster/sdn/dns/{dns}
proxmox.cluster.sdn.dns.$(dns).$delete()Delete sdn dns object configuration.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
dns | string | yes | The SDN dns object identifier. |
lock-token | string | the token for unlocking the global SDN configuration |
GET /cluster/sdn/dry-run
proxmox.cluster.sdn["dry-run"].$get()Dry-run the SDN apply action and return the difference between the current configuration and the pending configuration
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
GET /cluster/sdn/fabrics
proxmox.cluster.sdn.fabrics.$get()SDN Fabrics Index
Returns an array of object.
GET /cluster/sdn/fabrics/all
proxmox.cluster.sdn.fabrics.all.$get()SDN Fabrics Index
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
pending | boolean | Display pending config. | |
running | boolean | Display running config. |
GET /cluster/sdn/fabrics/fabric
proxmox.cluster.sdn.fabrics.fabric.$get()SDN Fabrics Index
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
pending | boolean | Display pending config. | |
running | boolean | Display running config. |
POST /cluster/sdn/fabrics/fabric
proxmox.cluster.sdn.fabrics.fabric.$post()Add a fabric
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
area | string | OSPF area. Either a IPv4 address or a 32-bit number. Gets validated in rust. | |
csnp_interval | number | The csnp_interval property for Openfabric — min 1, max 600 | |
digest | string | Prevent changes if current configuration file has a different digest. This can be used to prevent concurrent modifications. — ≤ 64 chars | |
hello_interval | number | The hello_interval property for Openfabric — min 1, max 600 | |
id | string | yes | Identifier for SDN fabrics — format pve-sdn-fabric-id, ≤ 8 chars |
ip6_prefix | string | The IP prefix for Node IPs — format CIDR | |
ip_prefix | string | The IP prefix for Node IPs — format CIDR | |
lock-token | string | the token for unlocking the global SDN configuration | |
persistent_keepalive | number | A seconds interval, between 1 and 65535 inclusive, of how often to send an authenticated empty packet to the peer for the purpose of keeping a stateful firewall or NAT mapping valid persistently. For example, if the interface very rarely sends traffic, but it might at anytime receive traffic from another node, and it is behind NAT, the interface might benefit from having a persistent keepalive interval of 25 seconds. If unset or set to 0, it is turned off — min 0, max 65535 | |
protocol | openfabric | ospf | wireguard | bgp | yes | Type of configuration entry in an SDN Fabric section config |
redistribute | any[] | yes | |
route_filter | string | A prefix list that should be used for filtering routes that are to be installed into the kernel routing table — format pve-sdn-prefix-list-id |
GET /cluster/sdn/fabrics/fabric/{id}
proxmox.cluster.sdn.fabrics.fabric.$(id).$get()Update a fabric
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
id | string | yes | Identifier for SDN fabrics — format pve-sdn-fabric-id, ≤ 8 chars |
PUT /cluster/sdn/fabrics/fabric/{id}
proxmox.cluster.sdn.fabrics.fabric.$(id).$put()Update a fabric
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
area | string | OSPF area. Either a IPv4 address or a 32-bit number. Gets validated in rust. | |
csnp_interval | number | The csnp_interval property for Openfabric — min 1, max 600 | |
delete | any[] | yes | |
digest | string | Prevent changes if current configuration file has a different digest. This can be used to prevent concurrent modifications. — ≤ 64 chars | |
hello_interval | number | The hello_interval property for Openfabric — min 1, max 600 | |
id | string | yes | Identifier for SDN fabrics — format pve-sdn-fabric-id, ≤ 8 chars |
ip6_prefix | string | The IP prefix for Node IPs — format CIDR | |
ip_prefix | string | The IP prefix for Node IPs — format CIDR | |
lock-token | string | the token for unlocking the global SDN configuration | |
persistent_keepalive | number | A seconds interval, between 1 and 65535 inclusive, of how often to send an authenticated empty packet to the peer for the purpose of keeping a stateful firewall or NAT mapping valid persistently. For example, if the interface very rarely sends traffic, but it might at anytime receive traffic from another node, and it is behind NAT, the interface might benefit from having a persistent keepalive interval of 25 seconds. If unset or set to 0, it is turned off — min 0, max 65535 | |
protocol | openfabric | ospf | wireguard | bgp | yes | Type of configuration entry in an SDN Fabric section config |
redistribute | any[] | yes | |
route_filter | string | A prefix list that should be used for filtering routes that are to be installed into the kernel routing table — format pve-sdn-prefix-list-id |
DELETE /cluster/sdn/fabrics/fabric/{id}
proxmox.cluster.sdn.fabrics.fabric.$(id).$delete()Add a fabric
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
id | string | yes | Identifier for SDN fabrics — format pve-sdn-fabric-id, ≤ 8 chars |
GET /cluster/sdn/fabrics/node
proxmox.cluster.sdn.fabrics.node.$get()SDN Fabrics Index
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
pending | boolean | Display pending config. | |
running | boolean | Display running config. |
GET /cluster/sdn/fabrics/node/{fabric_id}
proxmox.cluster.sdn.fabrics.node.$(fabricId).$get()SDN Fabrics Index
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
fabric_id | string | yes | Identifier for SDN fabrics — format pve-sdn-fabric-id, ≤ 8 chars |
pending | boolean | Display pending config. | |
running | boolean | Display running config. |
POST /cluster/sdn/fabrics/node/{fabric_id}
proxmox.cluster.sdn.fabrics.node.$(fabricId).$post()Add a node
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
allowed_ips | string[] | A list of IPs that are routable via this node in the WireGuard fabric. | |
digest | string | Prevent changes if current configuration file has a different digest. This can be used to prevent concurrent modifications. — ≤ 64 chars | |
endpoint | string | The endpoint used for connecting to this node. | |
fabric_id | string | yes | Identifier for SDN fabrics — format pve-sdn-fabric-id, ≤ 8 chars |
interfaces | any[] | yes | |
ip | string | IPv4 address for this node — format ipv4 | |
ip6 | string | IPv6 address for this node — format ipv6 | |
lock-token | string | the token for unlocking the global SDN configuration | |
node_id | string | yes | Identifier for nodes in an SDN fabric — format pve-node |
peers | string[] | ||
protocol | openfabric | ospf | wireguard | bgp | yes | Type of configuration entry in an SDN Fabric section config |
public_key | string | The public key for the external node. | |
role | internal | external | The role of this node in the WireGuard fabric. |
GET /cluster/sdn/fabrics/node/{fabric_id}/{node_id}
proxmox.cluster.sdn.fabrics.node.$(fabricId).$(nodeId).$get()Get a node
Returns any.
| Parameter | Type | Required | Notes |
|---|---|---|---|
fabric_id | string | yes | Identifier for SDN fabrics — format pve-sdn-fabric-id, ≤ 8 chars |
node_id | string | yes | Identifier for nodes in an SDN fabric — format pve-node |
PUT /cluster/sdn/fabrics/node/{fabric_id}/{node_id}
proxmox.cluster.sdn.fabrics.node.$(fabricId).$(nodeId).$put()Update a node
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
allowed_ips | string[] | A list of IPs that are routable via this node in the WireGuard fabric. | |
delete | any[] | yes | |
digest | string | Prevent changes if current configuration file has a different digest. This can be used to prevent concurrent modifications. — ≤ 64 chars | |
endpoint | string | The endpoint used for connecting to this node. | |
fabric_id | string | yes | Identifier for SDN fabrics — format pve-sdn-fabric-id, ≤ 8 chars |
interfaces | any[] | yes | |
ip | string | IPv4 address for this node — format ipv4 | |
ip6 | string | IPv6 address for this node — format ipv6 | |
lock-token | string | the token for unlocking the global SDN configuration | |
node_id | string | yes | Identifier for nodes in an SDN fabric — format pve-node |
peers | string[] | ||
protocol | openfabric | ospf | wireguard | bgp | yes | Type of configuration entry in an SDN Fabric section config |
public_key | string | The public key for the external node. | |
role | internal | external | The role of this node in the WireGuard fabric. |
DELETE /cluster/sdn/fabrics/node/{fabric_id}/{node_id}
proxmox.cluster.sdn.fabrics.node.$(fabricId).$(nodeId).$delete()Add a node
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
fabric_id | string | yes | Identifier for SDN fabrics — format pve-sdn-fabric-id, ≤ 8 chars |
node_id | string | yes | Identifier for nodes in an SDN fabric — format pve-node |
GET /cluster/sdn/ipams
proxmox.cluster.sdn.ipams.$get()SDN ipams index.
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
type | netbox | phpipam | pve | Only list sdn ipams of specific type |
POST /cluster/sdn/ipams
proxmox.cluster.sdn.ipams.$post()Create a new sdn ipam object.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
fingerprint | string | Certificate SHA 256 fingerprint. | |
ipam | string | yes | The SDN ipam object identifier. |
lock-token | string | the token for unlocking the global SDN configuration | |
section | number | ||
token | string | ||
type | netbox | phpipam | pve | yes | Plugin type. — format pve-configid |
url | string |
GET /cluster/sdn/ipams/{ipam}
proxmox.cluster.sdn.ipams.$(ipam).$get()Read sdn ipam configuration.
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
ipam | string | yes | The SDN ipam object identifier. |
PUT /cluster/sdn/ipams/{ipam}
proxmox.cluster.sdn.ipams.$(ipam).$put()Update sdn ipam object configuration.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
delete | string | A list of settings you want to delete. — format pve-configid-list, ≤ 4096 chars | |
digest | string | Prevent changes if current configuration file has a different digest. This can be used to prevent concurrent modifications. — ≤ 64 chars | |
fingerprint | string | Certificate SHA 256 fingerprint. | |
ipam | string | yes | The SDN ipam object identifier. |
lock-token | string | the token for unlocking the global SDN configuration | |
section | number | ||
token | string | ||
url | string |
DELETE /cluster/sdn/ipams/{ipam}
proxmox.cluster.sdn.ipams.$(ipam).$delete()Delete sdn ipam object configuration.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
ipam | string | yes | The SDN ipam object identifier. |
lock-token | string | the token for unlocking the global SDN configuration |
GET /cluster/sdn/ipams/{ipam}/status
proxmox.cluster.sdn.ipams.$(ipam).status.$get()List PVE IPAM Entries
Returns an array of any.
| Parameter | Type | Required | Notes |
|---|---|---|---|
ipam | string | yes | The SDN ipam object identifier. |
POST /cluster/sdn/lock
proxmox.cluster.sdn.lock.$post()Acquire global lock for SDN configuration
Returns string.
| Parameter | Type | Required | Notes |
|---|---|---|---|
allow-pending | boolean | if true, allow acquiring lock even though there are pending changes — default 0 |
DELETE /cluster/sdn/lock
proxmox.cluster.sdn.lock.$delete()Release global lock for SDN configuration
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
force | boolean | if true, allow releasing lock without providing the token — default 0 | |
lock-token | string | the token for unlocking the global SDN configuration |
GET /cluster/sdn/prefix-lists
proxmox.cluster.sdn["prefix-lists"].$get()List Prefix Lists
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
pending | boolean | Display pending config. | |
running | boolean | Display running config. | |
verbose | boolean | If 0, only returns id - otherwise returns all properties. |
POST /cluster/sdn/prefix-lists
proxmox.cluster.sdn["prefix-lists"].$post()Create Prefix List
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
digest | string | Prevent changes if current configuration file has a different digest. This can be used to prevent concurrent modifications. — ≤ 64 chars | |
entries | string[] | ||
id | string | yes | The SDN prefix list identifier — format pve-sdn-prefix-list-id |
lock-token | string | the token for unlocking the global SDN configuration |
GET /cluster/sdn/prefix-lists/{id}
proxmox.cluster.sdn["prefix-lists"].$(id).$get()Get Prefix List
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
id | string | yes | The SDN prefix list identifier — format pve-sdn-prefix-list-id |
PUT /cluster/sdn/prefix-lists/{id}
proxmox.cluster.sdn["prefix-lists"].$(id).$put()Update Prefix List
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
delete | entries[] | ||
digest | string | Prevent changes if current configuration file has a different digest. This can be used to prevent concurrent modifications. — ≤ 64 chars | |
entries | string[] | ||
id | string | yes | The SDN prefix list identifier — format pve-sdn-prefix-list-id |
lock-token | string | the token for unlocking the global SDN configuration |
DELETE /cluster/sdn/prefix-lists/{id}
proxmox.cluster.sdn["prefix-lists"].$(id).$delete()Delete Prefix List
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
id | string | yes | The SDN prefix list identifier — format pve-sdn-prefix-list-id |
lock-token | string | the token for unlocking the global SDN configuration |
GET /cluster/sdn/prefix-lists/{id}/entries
proxmox.cluster.sdn["prefix-lists"].$(id).entries.$get()List Prefix List Entries
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
id | string | yes | The SDN prefix list identifier — format pve-sdn-prefix-list-id |
POST /cluster/sdn/prefix-lists/{id}/entries
proxmox.cluster.sdn["prefix-lists"].$(id).entries.$post()Create Prefix List Entry
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
action | permit | deny | yes | |
ge | number | min 0, max 128 | |
id | string | yes | The SDN prefix list identifier — format pve-sdn-prefix-list-id |
le | number | min 0, max 128 | |
lock-token | string | the token for unlocking the global SDN configuration | |
prefix | string | yes | format FullRangeCIDR |
seq | number | min 1, max 4294967295 |
GET /cluster/sdn/prefix-lists/{id}/entries/{url_seq}
proxmox.cluster.sdn["prefix-lists"].$(id).entries.$(urlSeq).$get()Get Prefix List Entry
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
id | string | yes | The SDN prefix list identifier — format pve-sdn-prefix-list-id |
PUT /cluster/sdn/prefix-lists/{id}/entries/{url_seq}
proxmox.cluster.sdn["prefix-lists"].$(id).entries.$(urlSeq).$put()Update Prefix List Entry
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
action | permit | deny | ||
delete | le | ge | seq[] | ||
digest | string | Prevent changes if current configuration file has a different digest. This can be used to prevent concurrent modifications. — ≤ 64 chars | |
ge | number | min 0, max 128 | |
le | number | min 0, max 128 | |
lock-token | string | the token for unlocking the global SDN configuration | |
prefix | string | format FullRangeCIDR | |
seq | number | min 1, max 4294967295 |
DELETE /cluster/sdn/prefix-lists/{id}/entries/{url_seq}
proxmox.cluster.sdn["prefix-lists"].$(id).entries.$(urlSeq).$delete()Delete Prefix List Entry
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
id | string | yes | The SDN prefix list identifier — format pve-sdn-prefix-list-id |
lock-token | string | the token for unlocking the global SDN configuration |
POST /cluster/sdn/rollback
proxmox.cluster.sdn.rollback.$post()Rollback pending changes to SDN configuration
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
lock-token | string | the token for unlocking the global SDN configuration | |
release-lock | boolean | When lock-token has been provided and configuration successfully rollbacked, release the lock automatically afterwards — default 1 |
GET /cluster/sdn/route-maps
proxmox.cluster.sdn["route-maps"].$get()List Route Maps
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
running | boolean | Display running config. |
GET /cluster/sdn/route-maps/entries
proxmox.cluster.sdn["route-maps"].entries.$get()Lists all route map entries.
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
pending | boolean | Display pending config. | |
running | boolean | Display running config. |
POST /cluster/sdn/route-maps/entries
proxmox.cluster.sdn["route-maps"].entries.$post()Create Route Map entry
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
action | permit | deny | yes | Matching policy of a route map entry. |
call | string | The SDN route map identifier — format pve-sdn-route-map-id | |
digest | string | Prevent changes if current configuration file has a different digest. This can be used to prevent concurrent modifications. — ≤ 64 chars | |
exit-action | string | ||
lock-token | string | the token for unlocking the global SDN configuration | |
match | string[] | ||
order | number | yes | The index of this route map entry — min 0, max 65535 |
route-map-id | string | yes | The SDN route map identifier — format pve-sdn-route-map-id |
set | string[] |
GET /cluster/sdn/route-maps/entries/{route-map-id}
proxmox.cluster.sdn["route-maps"].entries.$(routeMapId).$get()List all entries for a given Route Map
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
pending | boolean | Display pending config. | |
route-map-id | string | yes | The SDN route map identifier — format pve-sdn-route-map-id |
running | boolean | Display running config. |
GET /cluster/sdn/route-maps/entries/{route-map-id}/entry/{order}
proxmox.cluster.sdn["route-maps"].entries.$(routeMapId).entry.$(order).$get()Get Route Map Entry
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
order | number | yes | The index of this route map entry — min 0, max 65535 |
route-map-id | string | yes | The SDN route map identifier — format pve-sdn-route-map-id |
PUT /cluster/sdn/route-maps/entries/{route-map-id}/entry/{order}
proxmox.cluster.sdn["route-maps"].entries.$(routeMapId).entry.$(order).$put()Update Route Map Entry
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
action | permit | deny | Matching policy of a route map entry. | |
call | string | The SDN route map identifier — format pve-sdn-route-map-id | |
delete | set | match | call | exit-action[] | ||
digest | string | Prevent changes if current configuration file has a different digest. This can be used to prevent concurrent modifications. — ≤ 64 chars | |
exit-action | string | ||
lock-token | string | the token for unlocking the global SDN configuration | |
match | string[] | ||
order | number | yes | The index of this route map entry — min 0, max 65535 |
route-map-id | string | yes | The SDN route map identifier — format pve-sdn-route-map-id |
set | string[] |
DELETE /cluster/sdn/route-maps/entries/{route-map-id}/entry/{order}
proxmox.cluster.sdn["route-maps"].entries.$(routeMapId).entry.$(order).$delete()Delete Route Map Entry
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
lock-token | string | the token for unlocking the global SDN configuration | |
order | number | yes | The index of this route map entry — min 0, max 65535 |
route-map-id | string | yes | The SDN route map identifier — format pve-sdn-route-map-id |
GET /cluster/sdn/vnets
proxmox.cluster.sdn.vnets.$get()SDN vnets index.
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
pending | boolean | Display pending config. | |
running | boolean | Display running config. |
POST /cluster/sdn/vnets
proxmox.cluster.sdn.vnets.$post()Create a new sdn vnet object.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
alias | string | Alias name of the VNet. — ≤ 256 chars | |
isolate-ports | boolean | If true, sets the isolated property for all interfaces on the bridge of this VNet. | |
lock-token | string | the token for unlocking the global SDN configuration | |
tag | number | VLAN Tag (for VLAN or QinQ zones) or VXLAN VNI (for VXLAN or EVPN zones). — min 1, max 16777215 | |
type | vnet | Type of the VNet. | |
vlanaware | boolean | Allow VLANs to pass through this vnet. | |
vnet | string | yes | The SDN vnet object identifier. — ≤ 8 chars |
zone | string | yes | Name of the zone this VNet belongs to. |
GET /cluster/sdn/vnets/{vnet}
proxmox.cluster.sdn.vnets.$(vnet).$get()Read sdn vnet configuration.
Returns any.
| Parameter | Type | Required | Notes |
|---|---|---|---|
pending | boolean | Display pending config. | |
running | boolean | Display running config. | |
vnet | string | yes | The SDN vnet object identifier. — ≤ 8 chars |
PUT /cluster/sdn/vnets/{vnet}
proxmox.cluster.sdn.vnets.$(vnet).$put()Update sdn vnet object configuration.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
alias | string | Alias name of the VNet. — ≤ 256 chars | |
delete | string | A list of settings you want to delete. — format pve-configid-list, ≤ 4096 chars | |
digest | string | Prevent changes if current configuration file has a different digest. This can be used to prevent concurrent modifications. — ≤ 64 chars | |
isolate-ports | boolean | If true, sets the isolated property for all interfaces on the bridge of this VNet. | |
lock-token | string | the token for unlocking the global SDN configuration | |
tag | number | VLAN Tag (for VLAN or QinQ zones) or VXLAN VNI (for VXLAN or EVPN zones). — min 1, max 16777215 | |
vlanaware | boolean | Allow VLANs to pass through this vnet. | |
vnet | string | yes | The SDN vnet object identifier. — ≤ 8 chars |
zone | string | Name of the zone this VNet belongs to. |
DELETE /cluster/sdn/vnets/{vnet}
proxmox.cluster.sdn.vnets.$(vnet).$delete()Delete sdn vnet object configuration.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
lock-token | string | the token for unlocking the global SDN configuration | |
vnet | string | yes | The SDN vnet object identifier. — ≤ 8 chars |
GET /cluster/sdn/vnets/{vnet}/firewall
proxmox.cluster.sdn.vnets.$(vnet).firewall.$get()Directory index.
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
vnet | string | yes | The SDN vnet object identifier. — ≤ 8 chars |
GET /cluster/sdn/vnets/{vnet}/firewall/options
proxmox.cluster.sdn.vnets.$(vnet).firewall.options.$get()Get vnet firewall options.
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
vnet | string | yes | The SDN vnet object identifier. — ≤ 8 chars |
PUT /cluster/sdn/vnets/{vnet}/firewall/options
proxmox.cluster.sdn.vnets.$(vnet).firewall.options.$put()Set Firewall options.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
delete | string | A list of settings you want to delete. — format pve-configid-list | |
digest | string | Prevent changes if current configuration file has a different digest. This can be used to prevent concurrent modifications. — ≤ 64 chars | |
enable | boolean | Enable/disable firewall rules. — default 0 | |
log_level_forward | emerg | alert | crit | err | warning | notice | info | debug | … (1 more) | Log level for forwarded traffic. | |
policy_forward | ACCEPT | DROP | Forward policy. | |
vnet | string | yes | The SDN vnet object identifier. — ≤ 8 chars |
GET /cluster/sdn/vnets/{vnet}/firewall/rules
proxmox.cluster.sdn.vnets.$(vnet).firewall.rules.$get()List rules.
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
vnet | string | yes | The SDN vnet object identifier. — ≤ 8 chars |
POST /cluster/sdn/vnets/{vnet}/firewall/rules
proxmox.cluster.sdn.vnets.$(vnet).firewall.rules.$post()Create new rule.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
action | string | yes | Rule action ('ACCEPT', 'DROP', 'REJECT') or security group name. — ≤ 20 chars |
comment | string | Descriptive comment. — format pve-fw-comment-spec | |
dest | string | Restrict packet destination address. This can refer to a single IP address, an IP set ('+ipsetname') or an IP alias definition. You can also specify an address range like '20.34.101.207-201.3.9.99', or a list of IP addresses and networks (entries are separated by comma). Please do not mix IPv4 and IPv6 addresses inside such lists. — format pve-fw-addr-spec, ≤ 512 chars | |
digest | string | Prevent changes if current configuration file has a different digest. This can be used to prevent concurrent modifications. — ≤ 64 chars | |
dport | string | Restrict TCP/UDP destination port. You can use service names or simple numbers (0-65535), as defined in '/etc/services'. Port ranges can be specified with '\d+:\d+', for example '80:85', and you can use comma separated list to match several ports or ranges. — format pve-fw-dport-spec | |
enable | number | Flag to enable/disable a rule. — min 0 | |
icmp-type | string | Specify icmp-type. Only valid if proto equals 'icmp' or 'icmpv6'/'ipv6-icmp'. — format pve-fw-icmp-type-spec | |
iface | string | Network interface name. You have to use network configuration key names for VMs and containers ('net\d+'). Host related rules can use arbitrary strings. — format pve-iface, ≤ 20 chars | |
log | emerg | alert | crit | err | warning | notice | info | debug | … (1 more) | Log level for firewall rule. | |
macro | string | Use predefined standard macro. — ≤ 128 chars | |
pos | number | Update rule at position <pos>. — min 0 | |
proto | string | IP protocol. You can use protocol names ('tcp'/'udp') or simple numbers, as defined in '/etc/protocols'. — format pve-fw-protocol-spec | |
source | string | Restrict packet source address. This can refer to a single IP address, an IP set ('+ipsetname') or an IP alias definition. You can also specify an address range like '20.34.101.207-201.3.9.99', or a list of IP addresses and networks (entries are separated by comma). Please do not mix IPv4 and IPv6 addresses inside such lists. — format pve-fw-addr-spec, ≤ 512 chars | |
sport | string | Restrict TCP/UDP source port. You can use service names or simple numbers (0-65535), as defined in '/etc/services'. Port ranges can be specified with '\d+:\d+', for example '80:85', and you can use comma separated list to match several ports or ranges. — format pve-fw-sport-spec | |
type | in | out | forward | group | yes | Rule type. |
vnet | string | yes | The SDN vnet object identifier. — ≤ 8 chars |
GET /cluster/sdn/vnets/{vnet}/firewall/rules/{pos}
proxmox.cluster.sdn.vnets.$(vnet).firewall.rules.$(pos).$get()Get single rule data.
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
pos | number | Update rule at position <pos>. — min 0 | |
vnet | string | yes | The SDN vnet object identifier. — ≤ 8 chars |
PUT /cluster/sdn/vnets/{vnet}/firewall/rules/{pos}
proxmox.cluster.sdn.vnets.$(vnet).firewall.rules.$(pos).$put()Modify rule data.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
action | string | Rule action ('ACCEPT', 'DROP', 'REJECT') or security group name. — ≤ 20 chars | |
comment | string | Descriptive comment. — format pve-fw-comment-spec | |
delete | string | A list of settings you want to delete. — format pve-configid-list | |
dest | string | Restrict packet destination address. This can refer to a single IP address, an IP set ('+ipsetname') or an IP alias definition. You can also specify an address range like '20.34.101.207-201.3.9.99', or a list of IP addresses and networks (entries are separated by comma). Please do not mix IPv4 and IPv6 addresses inside such lists. — format pve-fw-addr-spec, ≤ 512 chars | |
digest | string | Prevent changes if current configuration file has a different digest. This can be used to prevent concurrent modifications. — ≤ 64 chars | |
dport | string | Restrict TCP/UDP destination port. You can use service names or simple numbers (0-65535), as defined in '/etc/services'. Port ranges can be specified with '\d+:\d+', for example '80:85', and you can use comma separated list to match several ports or ranges. — format pve-fw-dport-spec | |
enable | number | Flag to enable/disable a rule. — min 0 | |
icmp-type | string | Specify icmp-type. Only valid if proto equals 'icmp' or 'icmpv6'/'ipv6-icmp'. — format pve-fw-icmp-type-spec | |
iface | string | Network interface name. You have to use network configuration key names for VMs and containers ('net\d+'). Host related rules can use arbitrary strings. — format pve-iface, ≤ 20 chars | |
log | emerg | alert | crit | err | warning | notice | info | debug | … (1 more) | Log level for firewall rule. | |
macro | string | Use predefined standard macro. — ≤ 128 chars | |
moveto | number | Move rule to new position <moveto>. Other arguments are ignored. — min 0 | |
pos | number | Update rule at position <pos>. — min 0 | |
proto | string | IP protocol. You can use protocol names ('tcp'/'udp') or simple numbers, as defined in '/etc/protocols'. — format pve-fw-protocol-spec | |
source | string | Restrict packet source address. This can refer to a single IP address, an IP set ('+ipsetname') or an IP alias definition. You can also specify an address range like '20.34.101.207-201.3.9.99', or a list of IP addresses and networks (entries are separated by comma). Please do not mix IPv4 and IPv6 addresses inside such lists. — format pve-fw-addr-spec, ≤ 512 chars | |
sport | string | Restrict TCP/UDP source port. You can use service names or simple numbers (0-65535), as defined in '/etc/services'. Port ranges can be specified with '\d+:\d+', for example '80:85', and you can use comma separated list to match several ports or ranges. — format pve-fw-sport-spec | |
type | in | out | forward | group | Rule type. | |
vnet | string | yes | The SDN vnet object identifier. — ≤ 8 chars |
DELETE /cluster/sdn/vnets/{vnet}/firewall/rules/{pos}
proxmox.cluster.sdn.vnets.$(vnet).firewall.rules.$(pos).$delete()Delete rule.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
digest | string | Prevent changes if current configuration file has a different digest. This can be used to prevent concurrent modifications. — ≤ 64 chars | |
pos | number | Update rule at position <pos>. — min 0 | |
vnet | string | yes | The SDN vnet object identifier. — ≤ 8 chars |
POST /cluster/sdn/vnets/{vnet}/ips
proxmox.cluster.sdn.vnets.$(vnet).ips.$post()Create IP Mapping in a VNet
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
ip | string | yes | The IP address to associate with the given MAC address — format ip |
mac | string | Unicast MAC address. — format mac-addr | |
vnet | string | yes | The SDN vnet object identifier. — ≤ 8 chars |
zone | string | yes | The SDN zone object identifier. — ≤ 8 chars |
PUT /cluster/sdn/vnets/{vnet}/ips
proxmox.cluster.sdn.vnets.$(vnet).ips.$put()Update IP Mapping in a VNet
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
ip | string | yes | The IP address to associate with the given MAC address — format ip |
mac | string | Unicast MAC address. — format mac-addr | |
vmid | number | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 | |
vnet | string | yes | The SDN vnet object identifier. — ≤ 8 chars |
zone | string | yes | The SDN zone object identifier. — ≤ 8 chars |
DELETE /cluster/sdn/vnets/{vnet}/ips
proxmox.cluster.sdn.vnets.$(vnet).ips.$delete()Delete IP Mappings in a VNet
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
ip | string | yes | The IP address to delete — format ip |
mac | string | Unicast MAC address. — format mac-addr | |
vnet | string | yes | The SDN vnet object identifier. — ≤ 8 chars |
zone | string | yes | The SDN zone object identifier. — ≤ 8 chars |
GET /cluster/sdn/vnets/{vnet}/subnets
proxmox.cluster.sdn.vnets.$(vnet).subnets.$get()SDN subnets index.
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
pending | boolean | Display pending config. | |
running | boolean | Display running config. | |
vnet | string | yes | The SDN vnet object identifier. — ≤ 8 chars |
POST /cluster/sdn/vnets/{vnet}/subnets
proxmox.cluster.sdn.vnets.$(vnet).subnets.$post()Create a new sdn subnet object.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
dhcp-dns-server | string | IP address for the DNS server — format ip | |
dhcp-range | string[] | A list of DHCP ranges for this subnet | |
dnszoneprefix | string | dns domain zone prefix ex: 'adm' -> <hostname>.adm.mydomain.com — format dns-name | |
gateway | string | Subnet Gateway: Will be assign on vnet for layer3 zones — format ip | |
lock-token | string | the token for unlocking the global SDN configuration | |
snat | boolean | enable masquerade for this subnet if pve-firewall | |
subnet | string | yes | The SDN subnet object identifier. — format pve-sdn-subnet-id |
type | subnet | yes | |
vnet | string | yes | associated vnet |
GET /cluster/sdn/vnets/{vnet}/subnets/{subnet}
proxmox.cluster.sdn.vnets.$(vnet).subnets.$(subnet).$get()Read sdn subnet configuration.
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
pending | boolean | Display pending config. | |
running | boolean | Display running config. | |
subnet | string | yes | The SDN subnet object identifier. — format pve-sdn-subnet-id |
vnet | string | yes | The SDN vnet object identifier. — ≤ 8 chars |
PUT /cluster/sdn/vnets/{vnet}/subnets/{subnet}
proxmox.cluster.sdn.vnets.$(vnet).subnets.$(subnet).$put()Update sdn subnet object configuration.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
delete | string | A list of settings you want to delete. — format pve-configid-list, ≤ 4096 chars | |
dhcp-dns-server | string | IP address for the DNS server — format ip | |
dhcp-range | string[] | A list of DHCP ranges for this subnet | |
digest | string | Prevent changes if current configuration file has a different digest. This can be used to prevent concurrent modifications. — ≤ 64 chars | |
dnszoneprefix | string | dns domain zone prefix ex: 'adm' -> <hostname>.adm.mydomain.com — format dns-name | |
gateway | string | Subnet Gateway: Will be assign on vnet for layer3 zones — format ip | |
lock-token | string | the token for unlocking the global SDN configuration | |
snat | boolean | enable masquerade for this subnet if pve-firewall | |
subnet | string | yes | The SDN subnet object identifier. — format pve-sdn-subnet-id |
vnet | string | associated vnet |
DELETE /cluster/sdn/vnets/{vnet}/subnets/{subnet}
proxmox.cluster.sdn.vnets.$(vnet).subnets.$(subnet).$delete()Delete sdn subnet object configuration.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
lock-token | string | the token for unlocking the global SDN configuration | |
subnet | string | yes | The SDN subnet object identifier. — format pve-sdn-subnet-id |
vnet | string | yes | The SDN vnet object identifier. — ≤ 8 chars |
GET /cluster/sdn/zones
proxmox.cluster.sdn.zones.$get()SDN zones index.
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
pending | boolean | Display pending config. | |
running | boolean | Display running config. | |
type | evpn | faucet | qinq | simple | vlan | vxlan | Only list SDN zones of specific type |
POST /cluster/sdn/zones
proxmox.cluster.sdn.zones.$post()Create a new sdn zone object.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
advertise-subnets | boolean | Advertise IP prefixes (Type-5 routes) instead of MAC/IP pairs (Type-2 routes). | |
bridge | string | The bridge for which VLANs should be managed. | |
bridge-disable-mac-learning | boolean | Disable auto mac learning. | |
controller | string | Controller for this zone. | |
dhcp | dnsmasq | Type of the DHCP backend for this zone | |
disable-arp-nd-suppression | boolean | Suppress IPv4 ARP && IPv6 Neighbour Discovery messages. | |
dns | string | dns api server | |
dnszone | string | dns domain zone ex: mydomain.com — format dns-name | |
dp-id | number | Faucet dataplane id | |
exitnodes | string | List of cluster node names. — format pve-node-list | |
exitnodes-local-routing | boolean | Allow exitnodes to connect to EVPN guests. | |
exitnodes-primary | string | Force traffic through this exitnode first. — format pve-node | |
fabric | string | SDN fabric to use as underlay for this VXLAN zone. — format pve-sdn-fabric-id | |
ipam | string | use a specific ipam | |
lock-token | string | the token for unlocking the global SDN configuration | |
mac | string | Anycast logical router mac address. — format mac-addr | |
mtu | number | MTU of the zone, will be used for the created VNet bridges. | |
nodes | string | List of cluster node names. — format pve-node-list | |
peers | string | Comma-separated list of peers, that are part of the VXLAN zone. Usually the IPs of the nodes. — format ip-list | |
reversedns | string | reverse dns api server | |
rt-import | string | List of Route Targets that should be imported into the VRF of the zone. — format pve-sdn-bgp-rt-list | |
secondary-controllers | string[] | Additional controllers. | |
tag | number | Service-VLAN Tag (outer VLAN) — min 0 | |
type | evpn | faucet | qinq | simple | vlan | vxlan | yes | Plugin type. — format pve-configid |
vlan-protocol | 802.1q | 802.1ad | Which VLAN protocol should be used for the creation of the QinQ zone. — default "802.1q" | |
vrf-vxlan | number | VNI for the zone VRF. — min 1, max 16777215 | |
vxlan-port | number | UDP port that should be used for the VXLAN tunnel (default 4789). — min 1, max 65536, default 4789 | |
zone | string | yes | The SDN zone object identifier. — ≤ 8 chars |
GET /cluster/sdn/zones/{zone}
proxmox.cluster.sdn.zones.$(zone).$get()Read sdn zone configuration.
Returns any.
| Parameter | Type | Required | Notes |
|---|---|---|---|
pending | boolean | Display pending config. | |
running | boolean | Display running config. | |
zone | string | yes | The SDN zone object identifier. — ≤ 8 chars |
PUT /cluster/sdn/zones/{zone}
proxmox.cluster.sdn.zones.$(zone).$put()Update sdn zone object configuration.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
advertise-subnets | boolean | Advertise IP prefixes (Type-5 routes) instead of MAC/IP pairs (Type-2 routes). | |
bridge | string | The bridge for which VLANs should be managed. | |
bridge-disable-mac-learning | boolean | Disable auto mac learning. | |
controller | string | Controller for this zone. | |
delete | string | A list of settings you want to delete. — format pve-configid-list, ≤ 4096 chars | |
dhcp | dnsmasq | Type of the DHCP backend for this zone | |
digest | string | Prevent changes if current configuration file has a different digest. This can be used to prevent concurrent modifications. — ≤ 64 chars | |
disable-arp-nd-suppression | boolean | Suppress IPv4 ARP && IPv6 Neighbour Discovery messages. | |
dns | string | dns api server | |
dnszone | string | dns domain zone ex: mydomain.com — format dns-name | |
dp-id | number | Faucet dataplane id | |
exitnodes | string | List of cluster node names. — format pve-node-list | |
exitnodes-local-routing | boolean | Allow exitnodes to connect to EVPN guests. | |
exitnodes-primary | string | Force traffic through this exitnode first. — format pve-node | |
fabric | string | SDN fabric to use as underlay for this VXLAN zone. — format pve-sdn-fabric-id | |
ipam | string | use a specific ipam | |
lock-token | string | the token for unlocking the global SDN configuration | |
mac | string | Anycast logical router mac address. — format mac-addr | |
mtu | number | MTU of the zone, will be used for the created VNet bridges. | |
nodes | string | List of cluster node names. — format pve-node-list | |
peers | string | Comma-separated list of peers, that are part of the VXLAN zone. Usually the IPs of the nodes. — format ip-list | |
reversedns | string | reverse dns api server | |
rt-import | string | List of Route Targets that should be imported into the VRF of the zone. — format pve-sdn-bgp-rt-list | |
secondary-controllers | string[] | Additional controllers. | |
tag | number | Service-VLAN Tag (outer VLAN) — min 0 | |
vlan-protocol | 802.1q | 802.1ad | Which VLAN protocol should be used for the creation of the QinQ zone. — default "802.1q" | |
vrf-vxlan | number | VNI for the zone VRF. — min 1, max 16777215 | |
vxlan-port | number | UDP port that should be used for the VXLAN tunnel (default 4789). — min 1, max 65536, default 4789 | |
zone | string | yes | The SDN zone object identifier. — ≤ 8 chars |
DELETE /cluster/sdn/zones/{zone}
proxmox.cluster.sdn.zones.$(zone).$delete()Delete sdn zone object configuration.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
lock-token | string | the token for unlocking the global SDN configuration | |
zone | string | yes | The SDN zone object identifier. — ≤ 8 chars |